% Did not include in the grade, but what I was after was a loglog plot of f vs
% D/L^2 to show that all data fit that form (see attached plot with your data).
% Your data shows some dependence on D.  That may be due to the error in
% measuring D. Here are the commands:

%%

% constant
B=betaN(1); 

% load data
load('C:\Downloads\wu\phys47100wureport2\alldata.mat');
L=allL'/1000;
D=allD'/1000;
f=allf';

% fix frequencies
f=f./[1 1 1;1 1 1;1 1 1; 1 1 2; 1 1 2; 2 1 1; 1 1 2; 1 1 1];

% average density kg/m^3  
p=1500;

% log-log fit function  
pl=@(a,x)(log10(B^2/8/pi*sqrt(a(1)/p))+log10(x));

% fit for E
E=nlinfit(D(:)./L(:).^2,log10(f(:)),pl,5e9)

loglog(D./L.^2,(sqrt(E*(D).^2/p).*(B./L).^2/8/pi),'k',D./L.^2,f,'o');
axis('tight');
set(gca,'fontsize',20);
xlabel('D/L^2 (m^{-1})');
ylabel('Frequency (Hz)');

%%

The E from this analysis is 
6.55 +/- 0.15 GPa

Not sure why your values for E were off.  One issue some people had was with the linear density M/L versus density M/V in eq1 in the writeup.  I have made it clearer now, but did not take off for that mistake.
